Bug 30892 - Holds not getting placed
Summary: Holds not getting placed
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 30742
Blocks:
  Show dependency treegraph
 
Reported: 2022-06-02 16:53 UTC by Lucas Gass
Modified: 2022-06-08 09:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.01


Attachments
Bug 30892: (bug 30742 follow-up) Send single bib as a holdable bib (1.67 KB, patch)
2022-06-02 17:25 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 30892: (bug 30742 follow-up) Send single bib as a holdable bib (1.72 KB, patch)
2022-06-02 17:52 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30892: (bug 30742 follow-up) Send single bib as a holdable bib (1.92 KB, patch)
2022-06-06 11:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2022-06-02 16:53:36 UTC
This seems to effect current master, but not 22.05.x

To test:
1. Try placing hold
2. Everything seems to work but no hold gets placed.


I am not finding anything in the error logs.
Comment 1 Nick Clemens 2022-06-02 17:25:31 UTC
Created attachment 135611 [details] [review]
Bug 30892: (bug 30742 follow-up) Send single bib as a holdable bib
Comment 2 Lucas Gass 2022-06-02 17:52:35 UTC
Created attachment 135613 [details] [review]
Bug 30892: (bug 30742 follow-up) Send single bib as a holdable bib

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2022-06-06 11:36:03 UTC
Test plan here is a little sparse - for example I can only guess from the code that we are looking at at the staff interface here. 

I'll give it a go, but please do better with commit messages!
Comment 4 Katrin Fischer 2022-06-06 11:41:02 UTC
Created attachment 135725 [details] [review]
Bug 30892: (bug 30742 follow-up) Send single bib as a holdable bib

To test:
1. Try placing hold
2. Everything seems to work but no hold gets placed.
3. Apply patch
4. Verify holds are no placed correctly.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2022-06-06 14:38:41 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 6 Lucas Gass 2022-06-06 15:23:18 UTC
Backported to 22.05.x for 22.05.01
Comment 7 Katrin Fischer 2022-06-06 15:31:15 UTC
(In reply to Lucas Gass from comment #0)
> This seems to effect current master, but not 22.05.x

Hi Lucas, does this need to be backported?
Comment 8 Lucas Gass 2022-06-06 15:54:48 UTC
(In reply to Katrin Fischer from comment #7)
> (In reply to Lucas Gass from comment #0)
> > This seems to effect current master, but not 22.05.x
> 
> Hi Lucas, does this need to be backported?

Cait, I think 22.05 needs it because I choose to backport Bug 30742
Comment 9 Katrin Fischer 2022-06-06 15:55:39 UTC
That makes sense, thx!
Comment 10 Arthur Suzuki 2022-06-08 09:15:08 UTC
This one depends on 30742 which I couldn't apply on 21.11.x (lots of conflicts).